ChangeSet 1.1832.55.7, 2004/09/05 00:59:19+02:00, greg@kroah.com

kobject: fix build error if CONFIG_HOTPLUG is not enabled.

Thanks to Kay Sievers for pointing this out.

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 lib/kobject.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/lib/kobject.c b/lib/kobject.c
--- a/lib/kobject.c	2004-10-19 09:23:20 -07:00
+++ b/lib/kobject.c	2004-10-19 09:23:20 -07:00
@@ -118,11 +118,11 @@
 	return path;
 }
 
+unsigned long hotplug_seqnum;
 #ifdef CONFIG_HOTPLUG
 
 #define BUFFER_SIZE	1024	/* should be enough memory for the env */
 #define NUM_ENVP	32	/* number of env pointers */
-unsigned long hotplug_seqnum;
 static spinlock_t sequence_lock = SPIN_LOCK_UNLOCKED;
 
 static void kset_hotplug(const char *action, struct kset *kset,
